For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all applicants
        • GETGet an applicant by ID
        • GETGet rentable items for an applicant
        • POSTCreate Applicant: Yardi
        • PUTUpdate Applicant: Yardi
        • POSTCreate Applicant File: Yardi
        • POSTAssign Applicant Rentable Item: Yardi
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Yardi (Legacy)Applicants

Assign Applicant Rentable Item: Yardi

POST
/v1/rentable-items/applicants/assign/yardi
POST
/v1/rentable-items/applicants/assign/yardi
$curl -X POST https://api.propexo.com/v1/rentable-items/applicants/assign/yardi \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "yardi-987654321",
> "rentable_item_id": "rentable-12345",
> "applicant_id": "applicant-67890"
>}'
1{
2 "meta": {
3 "job_id": "job-20240615-001"
4 },
5 "result": {
6 "integration_id": "yardi-987654321",
7 "rentable_item_id": "rentable-12345",
8 "applicant_id": "applicant-67890"
9 }
10}
Assign Applicant Rentable Item: Yardi | Interface | Method | |---|---| | ILS Guest Card | ManageApplicantRentableItems | <Note title="Notice">Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.</Note>
Was this page helpful?
Previous

Get all applications

Next
Built with

Assign Applicant Rentable Item: Yardi

InterfaceMethod
ILS Guest CardManageApplicantRentableItems
Notice
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
rentable_item_idstringRequired
The Propexo unique identifier for the rentable item
applicant_idstringRequired
The Propexo unique identifier for the applicant

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error